A=[5 3 4; 3 6 4; 4 4 5];
b=[12 13 13]';
x0=[0 0 0]'; 
tolerantion=0.01;
max_iter=20;

[x,nm_error,iteraci,H_J]=jacobi(A, b, x0, tolerantion, max_iter);
[x,nm_error,iteraci,H_GS]=gauss_seidel(A, b, x0, tolerantion, max_iter);

disp(' Vlastni cisla iteracni matice Jacobiovy metody')
 eig(H_J)

disp(' Vlastni cisla iteracni matice Gauss-Seidelovy metody')
 eig(H_GS)
